import type { UmbDataTypePickerFlowModalData, UmbDataTypePickerFlowModalValue } from './data-type-picker-flow-modal.token.js';
import { UmbModalBaseElement } from '../../../core/modal/index.js';
import { UmbPaginationManager } from '../../../core/utils/index.js';
export declare class UmbDataTypePickerFlowModalElement extends UmbModalBaseElement<UmbDataTypePickerFlowModalData, UmbDataTypePickerFlowModalValue> {
    #private;
    set data(value: UmbDataTypePickerFlowModalData);
    private _groupedDataTypes?;
    private _groupedPropertyEditorUIs;
    private _currentPage;
    private _dataTypePickerModalRouteBuilder?;
    private _isFiltering;
    pagination: UmbPaginationManager;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDataTypePickerFlowModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-data-type-picker-flow-modal': UmbDataTypePickerFlowModalElement;
    }
}
